Developers
API ReferenceTicket Message

Creates a TicketMessage resource

POST
/ticket/ticket-messages

Creates a TicketMessage resource

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Request Body

The new TicketMessage resource

  1. body
ticket*string
Formatuuid
content*string
Length1 <= length <= 100000

Response Body

TicketMessage resource created

  1. response
id?string
Formatuuid
content?string
Lengthlength <= 100000
isIncoming?boolean
createdBy?|null
createdAt?string
Formatdate-time
ticketFiles?array<>
isAttachmentSizeExceeded?boolean
Example Request
curl -X POST 'https://app.icproject.com/api/instance/demo/ticket/ticket-messages' \  -H 'Content-Type: application/json' \  -d '{  "ticket": "80a7bb07-bd5f-4501-918f-8730e5b79799",  "content": "string"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "content": "string",  "isIncoming": true,  "createdBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "contractorName": "string",    "jobPositionName": "string"  },  "createdAt": "2019-08-24T14:15:22Z",  "ticketFiles": [    {      "createdBy": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "firstName": "string",        "lastName": "string",        "email": "string",        "pictureSm": "string",        "contractorName": "string",        "jobPositionName": "string"      },      "path": "string",      "previewImageUrl": "string",      "type": "ticket-message",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "displayedName": "string",      "extension": "string",      "size": 0,      "source": "internal",      "createdAt": "2019-08-24T14:15:22Z"    }  ],  "isAttachmentSizeExceeded": true}